Bug 847814 - repo sync resource not found error
repo sync resource not found error
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity medium
: ---
: Sprint 39
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 849156
  Show dependency treegraph
 
Reported: 2012-08-13 11:53 EDT by dgao
Modified: 2014-03-30 21:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849156 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:05:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dgao 2012-08-13 11:53:54 EDT
[root@pulp-nightly pulp]# rpm -qa | grep "pulp"
pulp-admin-client-0.0.322-1.fc16.noarch
pulp-consumer-client-0.0.322-1.fc16.noarch
pulp-rpm-consumer-extensions-0.0.322-1.fc16.noarch
pulp-rpm-plugins-0.0.322-1.fc16.noarch
pulp-agent-0.0.322-1.fc16.noarch
pulp-rpm-server-0.0.322-1.fc16.noarch
pulp-rpm-consumer-client-0.0.322-1.fc16.noarch
pulp-selinux-0.0.322-1.fc16.noarch


pulp-admin repo create --repo-id=faux_test_repo --feed=http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x8
6_64/os


Successfully created repository [faux_test_repo]

pulp-admin repo sync run --repo-id faux_test_repo --bg


[root@pulp-nightly pulp]# pulp-admin repo sync status --repo-id=faux_test_repo
+----------------------------------------------------------------------------------------------------------+
                                     Repository Status [faux_test_repo]
+----------------------------------------------------------------------------------------------------------+

A sync task is queued on the server. Its progress will be tracked below.

This command may be exited by pressing ctrl+c without affecting the actual operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[=============================================================================] 100%
RPMs:       3102/3102 items
Delta RPMs: 0/0 items
Tree Files: 9/9 items
Files:      0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[/]
The following resource(s) could not be found:

  1d5d857a-e551-11e1-b300-525400d89521 (resource_id)
Comment 1 dgao 2012-08-13 11:54:05 EDT
2012-08-13 11:13:52,341 1287:140558064396032: pulp.plugins.yum_importer.comps:INFO: comps:335 Existing package groups/categories from <faux_test_repo>: 0 groups, 0 categories
2012-08-13 11:13:54,336 1287:140558064396032: pulp.plugins.yum_importer.comps:INFO: comps:373 Comps Summary: {'time_total_sec': 2.265462875366211, 'num_orphaned_groups': 0, 'num_available_groups': 
195, 'num_new_groups': 195, 'num_new_categories': 7, 'num_orphaned_categories': 0, 'num_available_categories': 7} 
 Details: {}
2012-08-13 11:13:54,352 1287:140558064396032: pulp.server.dispatch.task:INFO: task:148 Task 1d5d857a-e551-11e1-b300-525400d89521: CallRequest: RepoSyncManager.sync(u'faux_test_repo', sync_config_ov
erride=None, importer_config={}, importer_instance=<yum_importer.importer.YumImporter object at 0x7fd630016f50>) SUCCEEDED

2012-08-13 11:13:54,931 1287:140558106359552: pulp.server.webservices.middleware.exception:ERROR: exception:46 Task Not Found: {'resource_id': u'1d5d857a-e551-11e1-b300-525400d89521'}
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/middleware/exception.py", line 44, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/middleware/postponed.py", line 38, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 278, in wsgi
    result = self.handle_with_processors()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 28, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 557, in processor
    return handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 572, in processor
    result = handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 27, in process
    return self.handle()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 232, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 413, in _delegate
    return f()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 421, in <lambda>
    f = lambda: self._delegate_sub_application(pat, what)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 446, in _delegate_sub_application
    return app.handle_with_processors()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 28, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 557, in processor
    return handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 572, in processor
    result = handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 27, in process
    return self.handle()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 232, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 395, in _delegate
    return handle_class(f)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 386, in handle_class
    return tocall(*args)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 137, in _auth_decorator
    value = method(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/dispatch.py", line 99, in GET
    raise TaskNotFound(task_id)
TaskNotFound: Task Not Found: {'resource_id': u'1d5d857a-e551-11e1-b300-525400d89521'}
2012-08-13 11:14:01,738 1287:140557829531392: pulp.plugins.yum_importer.importer_rpm:INFO: importer_rpm:434 Begin sync of repo <relative_test_repo> from feed_url <http://qeblade20.rhq.lab.eng.bos.redhat.com/pub/updates/>
2012-08-13 11:14:04,280 1287:140557829531392: pulp.plugins.yum_importer.importer_rpm:INFO: importer_rpm:594 7 rpms are available in the source repo relative_test_repo, calculated in 2.38418579102e-05 seconds
2012-08-13 11:14:04,379 1287:140557829531392: pulp.plugins.yum_importer.importer_rpm:INFO: importer_rpm:605 Repo <relative_test_repo> 0 existing rpm units, 0 have been orphaned, 7 new rpms, 0 missing rpms.
Comment 2 Jeff Ortel 2012-09-04 16:13:55 EDT
build: 2.0.2.
Comment 3 Preethi Thomas 2012-09-10 10:24:33 EDT
verified
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin repo create --repo-id=faux_test_repo --feed=http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os
Successfully created repository [faux_test_repo]

[root@preethi-el6-pulp ~]# pulp-admin repo sync run --repo-id faux_test_repo --bg
+----------------------------------------------------------------------+
               Synchronizing Repository [faux_test_repo]
+----------------------------------------------------------------------+


The status of this sync can be displayed using the status command.

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]#  pulp-admin repo sync status --repo-id=faux_test_repo
+----------------------------------------------------------------------+
                   Repository Status [faux_test_repo]
+----------------------------------------------------------------------+

A sync task is queued on the server. Its progress will be tracked below.

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       3102/3102 items
Delta RPMs: 0/0 items
Tree Files: 9/9 items
Files:      0/0 items
... completed

Importing errata...
[|]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 9/9 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository
Comment 4 Preethi Thomas 2013-01-09 12:05:16 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.